<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
  <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> -->
  <title id="account-title">Account</title>
  <style>
    .initial-hide {
      visibility: collapse;
    }
  </style>
  <link rel="icon" href="favIcon.png" type="image/icon type">
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">NPC</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="./home.html">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="./account.html">Account</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown"
              aria-expanded="false">
              Games
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
              <li><a class="dropdown-item" href="./rockpaperscissors.html">1. Rock Paper Scissors</a></li>
              <li><a class="dropdown-item" href="./stockguessing.html">2. Stock Guessing Game</a></li>
              <li><a class="dropdown-item" href="./coin-flip.html">3. Coin Flip Game</a></li>

            </ul>
          </li>

        </ul>
        <ul class="navbar-nav mb-2 mb-lg-0">
          <li class="nav-item d-flex">
            <button id="logout-button" type="button" class="btn btn-outline-danger">Log Out</button>
            <!-- <a id="logout-a"class="nav-link active" aria-current="page" hidden="false" href="#">Logout</a> -->
          </li>
        </ul>

      </div>
    </div>
  </nav>
  <!-- <div class="d-flex flex-column justify-content-center align-items-center"></div> -->

  <h1 class="text-center mt-5"> Personal Scores for @<span id="user"></span></h1>
  <!-- <div class="d-flex flex-column min-vh-100 justify-content-center align-items-center"> -->
  <div class="container">
    <div class="row align-items-start justify-content-evenly">

      <div class="col-4 col-sm-4 account-only">
        <div class="card alert-info">
          <div class="card-body text-center">
            <h1>Balance</h1>
            <h4 id="balance-header">0</h4>
          </div>
        </div>
      </div>


      <div class="col-4 col-sm-4 account-only visualize-data">
        <div class="card alert-success">
          <div class="card-body text-center">
            <h1>Wins</h1>
            <h4 id="win-header">0</h4>
          </div>
        </div>
      </div>

      <div class="col-4 col-sm-4 account-only visualize-data">
        <div class="card alert-danger">
          <div class="card-body text-center">
            <h1>Losses</h1>
            <h4 id="loss-header">0</h4>
          </div>
        </div>
      </div>

      <!-- Force next columns to break to new line -->
      <div class="w-100"></div>
      <div class="col account-only visualize-data">
        <div class="d-flex flex-column min-vh-100 justify-content-center align-items-center">
          <div style="width:500px; height: 200;">
            <canvas id="myChart" width="200px" height="200px"></canvas>
          </div>
        </div>
      </div>

      <div class="col account-only visualize-data">
        <div class="d-flex flex-column min-vh-100 justify-content-center align-items-center">

          <main class="card gap-2 d-md-flex mt-3" style="max-width: 25rem; width: 20rem;">

            <header class="card-header text-center">
              <h3>Game History</h3>

            </header>
            <table class="table text-center">
              <thead>
                <tr>
                  <th>#</th>
                  <th>Game</th>
                  <th>Winnings</th>
                </tr>
                </tr>
              </thead>
              <tbody id="record-list">

              </tbody>
              <!-- <ol  class="list-group"></ol> -->
            </table>
            <footer class="card-footer" id="view-more-button">
              <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                <button class="btn btn-primary" type="button" onclick="viewMoreButton()">View All</button>
              </div>
            </footer>
          </main>
        </div>
      </div>
      <div class="w-100 m-3"></div>
      <div class="col-12 account-only" id="empty-data" style="display: none;">
        <div class="card alert-warning">
          <div class="card-body text-center">
            <h1>No Records Found</h1>
            <h3>Play some games to change that!</h3>
            <!-- <h4 id="balance-header">0</h4> -->
          </div>
        </div>
      </div>


    </div>
  </div>


  <script src="js/account/account.js"></script>
  <!-- <script type="text/javascript" src="./js/logout.js"></script> -->
</body>

</html>